%define	rname autoscan-network

Summary:	Utility for network exploration (Samba,Nessus client)
Name:		autoscan
Version:	1.50
Release: 	%mkrel 15
License:        GPLv2+
Group:		Networking/Other
URL:		http://autoscan-network.com/
Source0:	http://autoscan.fr/download_files/autoscan-network-%{version}.tar.gz
Source1:	autoscan-network.init
# this .xml file is missing in the tarball, and the GUI doesn't load without it
# mdv bug #58012
Source2:	Finger_Printing.xml
Patch0:		autoscan-1.41-x86_64-build-fix.patch
Patch1:		autoscan-1.50-fix-str-fmt.patch
Patch2:		autoscan-network-1.50-mandriva-build-options.patch
Patch3:		autoscan-network-1.50-fix-build-issue.patch
Patch4:		autoscan-network-1.50-fix-arm-build.patch
BuildRequires:	gnomeui2-devel
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	libao-devel
BuildRequires:	libvorbis-devel
BuildRequires:	net-snmp-devel
BuildRequires:	libtool
BuildRequires:	elfutils-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libgtk-vnc-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	glib2-devel
BuildRequires:	vte-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libcurl-devel
BuildRequires:	pcap-devel
Requires:	webclient
Requires:	%{name}-agent

%description
AutoScan is an application designed to explore and to manage your network. 
Entire subnets can be scanned simultaneously without human intervention. 
It features OS detection, automatic network discovery, a port scanner, 
and the ability to save the network state.

%package	agent
Summary:	AutoScan daemon
Group:		Networking/Other
Provides:	%{name} = %{version}-%{release}

%description	agent
Scans network in the background

%prep
%setup -q -n %{rname}-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1

install -m 644 %{SOURCE2} usr/share/apps/autoscan-network

%build
./configure --distrib-mandriva
%make OPTIONS_COMPILE="%optflags %ldflags"

%install
# Daemon install
install -d %{buildroot}%{_sbindir}/
install -d %{buildroot}%{_initrddir}/
install -m755 bin/autoscan-network-daemon %{buildroot}%{_sbindir}/
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/autoscan-network

# Gui install
install -d %{buildroot}%{_datadir}/apps/%{rname}
install -d %{buildroot}%{_datadir}/pixmaps/%{rname}
install -d %{buildroot}%{_datadir}/sounds/%{rname}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_datadir}/applications/

install -m755 bin/autoscan-network %{buildroot}%{_bindir}/

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-key='Encoding'  --remove-key='MultipleArgs' \
  --dir %{buildroot}%{_datadir}/applications usr/share/applications/*.desktop

install -m644 usr/share/icons/autoscan-network.png %{buildroot}%{_iconsdir}
cp -r usr/share/pixmaps/autoscan-network/* %{buildroot}%{_datadir}/pixmaps/%{rname}/

install -m644 usr/share/apps/autoscan-network/* %buildroot%_datadir/apps/%{rname}
install -m 644 usr/share/sounds/autoscan-network/* %{buildroot}%{_datadir}/sounds/%{rname}/

%preun
%preun_uninstall_gconf_schemas %{name}

%post agent
%_post_service %{name}-network

%postun agent
%_preun_service %{name}-network

%files
%defattr(755,root,root)
%doc AUTHORS 
%{_bindir}/*
%{_datadir}/apps/%{rname}
%{_datadir}/pixmaps/%{rname}
%{_iconsdir}/*
%{_datadir}/sounds/%{rname}/*  
%{_datadir}/applications/*.desktop

%files agent
%defattr(755,root,root)
%{_sbindir}/*
%{_initrddir}/*




%changelog
* Sat Feb 06 2016 wally <wally> 1.50-15.mga6
+ Revision: 942175
- redo arm build fix patch

* Sat Feb 06 2016 wally <wally> 1.50-14.mga6
+ Revision: 942108
- add patch to fix arm build

* Sat Feb 06 2016 umeabot <umeabot> 1.50-13.mga6
+ Revision: 940471
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.50-12.mga5
+ Revision: 740706
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50-11.mga5
+ Revision: 678067
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.50-10.mga4
+ Revision: 502986
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 dmorgan <dmorgan> 1.50-9.mga3
+ Revision: 346802
- Fix init script

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 29 2011 guillomovitch <guillomovitch> 1.50-8.mga2
+ Revision: 130423
- fix build
- rebuild for latest net-snmp

* Thu Apr 14 2011 ennael <ennael> 1.50-7.mga1
+ Revision: 85261
- fix buildrequire
- clean spec file

  + eandry <eandry>
    - imported package autoscan

